Summary: Creates a DOS FAT filesystem on a device
Name: mkdosfs
Version: 0.4
Release: 3
Copyright: GPL
Group: Utilities/System
Source: bmrc.berkeley.edu:/people/chaffee/mkdosfs-0.4.tgz
Source1: mkfs.umsdos
Patch: mkdosfs-0.4.patch
Obsoletes: mkdosfs-ygg
BuildRoot: /tmp/mkdosfs-root

%description
This is the mkdosfs package.  You can use this under Linux to
create MS-DOS FAT file systems. It can create FAT12, FAT16 and FAT32

added a link for mkfs.vfat and a script for mkfs.umsdos and mkfs.uvfat
(this last one needs the uvfat support to work)

%prep
%setup
%patch -p1
%build
make

%install
mkdir -p $RPM_BUILD_ROOT
INSTALL_ROOT=$RPM_BUILD_ROOT make install
(cd $RPM_BUILD_ROOT/sbin/ ; ln mkfs.msdos mkfs.vfat)
install -o root -g root -m 755 $RPM_SOURCE_DIR/mkfs.umsdos $RPM_BUILD_ROOT/sbin/mkfs.umsdos
(cd $RPM_BUILD_ROOT/sbin/ ; ln mkfs.umsdos mkfs.uvfat)
rm $RPM_BUILD_ROOT/usr/man/man8/mkfs.msdos.8
(cd $RPM_BUILD_ROOT/usr/man/man8/ ; ln mkdosfs.8 mkfs.msdos.8 )
(cd $RPM_BUILD_ROOT/usr/man/man8/ ; ln mkfs.msdos.8 mkfs.umsdos.8 )
(cd $RPM_BUILD_ROOT/usr/man/man8/ ; ln mkfs.msdos.8 mkfs.vfat.8 )

%clean
rm -r $RPM_BUILD_ROOT

%files
/sbin/mkfs.msdos
/sbin/mkfs.umsdos
/sbin/mkfs.vfat
/sbin/mkfs.uvfat
/sbin/mkdosfs
/usr/man/man8/mkfs.msdos.8
/usr/man/man8/mkfs.umsdos.8
/usr/man/man8/mkfs.vfat.8
/usr/man/man8/mkdosfs.8
